use warnings;
use strict;
use Test::More tests => 2;
use Test::Exception;

use Time::HiRes qw( sleep );

use POWER::Event::Timer qw( :ALL );
use POWER::Utils;


my $timer;

$timer = set_timer({ cb=>sub{}, for=>1 });
lives_ok  { stop_timer($timer) } 'timer stopped';
throws_ok { stop_timer($timer) } qr/no such timer/;

